### Hierarchy

- SearchManager

### Implemented by

- SearchManagerImpl

## Index

### Methods

- addEventToOfferSearch
- addResultItem
- claimPurchaseForSearchItem
- cloneOfferSearch
- cloneRequest
- complainToSearchItem
- confirmSearchItem
- createRequest
- createSearchResultByQuery
- deleteRequest
- evaluateSearchItem
- getAllRequests
- getCountBySearchRequestIds
- getMyRequests
- getMySearchRequestsByTag
- getRequestsByOwnerAndId
- getSearchRequestsByOwnerAndTag
- getSearchResult
- getSearchResultByOfferSearchId
- getSuggestionByQuery
- getUserOfferSearches
- rejectSearchItem
- updateRequest

## Methods

### addEventToOfferSearch

- addEventToOfferSearch(event: string, offerSearchId: number): Promise<void>

- - Defined in manager/SearchManager.ts:70

  #### Parameters

  - ##### event: string

  - ##### offerSearchId: number

  #### Returns Promise<void>

### addResultItem

- addResultItem(offerSearch: OfferSearch): Promise<void>

- - Defined in manager/SearchManager.ts:68

  #### Parameters

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### claimPurchaseForSearchItem

- claimPurchaseForSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:66

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### cloneOfferSearch

- cloneOfferSearch(id: number, searchRequest: SearchRequest): Promise<Array<OfferSearch>>

- - Defined in manager/SearchManager.ts:22

  #### Parameters

  - ##### id: number

  - ##### searchRequest: SearchRequest

  #### Returns Promise<Array<OfferSearch>>

### cloneRequest

- cloneRequest(searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in manager/SearchManager.ts:20

  #### Parameters

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### complainToSearchItem

- complainToSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:58

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### confirmSearchItem

- confirmSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:64

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### createRequest

- createRequest(searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in manager/SearchManager.ts:16

  #### Parameters

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### createSearchResultByQuery

- createSearchResultByQuery(query: string, searchRequestId: number, page?: number, size?: number, interests?: Array<string>, mode?: OfferSearchRequestInterestMode): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:34

  #### Parameters

  - ##### query: string

  - ##### searchRequestId: number

  - ##### Optional page: number

  - ##### Optional size: number

  - ##### Optional interests: Array<string>

  - ##### Optional mode: OfferSearchRequestInterestMode

  #### Returns Promise<Page<OfferSearchResultItem>>

### deleteRequest

- deleteRequest(id: number): Promise<number>

- - Defined in manager/SearchManager.ts:30

  #### Parameters

  - ##### id: number

  #### Returns Promise<number>

### evaluateSearchItem

- evaluateSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:62

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### getAllRequests

- getAllRequests(): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:28

  #### Returns Promise<Array<SearchRequest>>

### getCountBySearchRequestIds

- getCountBySearchRequestIds(searchRequestIds: Array<number>): Promise<Map<number, number>>

- - Defined in manager/SearchManager.ts:47

  #### Parameters

  - ##### searchRequestIds: Array<number>

  #### Returns Promise<Map<number, number>>

### getMyRequests

- getMyRequests(id?: number): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:24

  #### Parameters

  - ##### Optional id: number

  #### Returns Promise<Array<SearchRequest>>

### getMySearchRequestsByTag

- getMySearchRequestsByTag(tag: string): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:74

  #### Parameters

  - ##### tag: string

  #### Returns Promise<Array<SearchRequest>>

### getRequestsByOwnerAndId

- getRequestsByOwnerAndId(owner: string, id?: number): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:26

  #### Parameters

  - ##### owner: string

  - ##### Optional id: number

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestsByOwnerAndTag

- getSearchRequestsByOwnerAndTag(owner: string, tag: string): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:72

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<SearchRequest>>

### getSearchResult

- getSearchResult(searchRequestId: number): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:43

  #### Parameters

  - ##### searchRequestId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSearchResultByOfferSearchId

- getSearchResultByOfferSearchId(offerSearchId: number): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:45

  #### Parameters

  - ##### offerSearchId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSuggestionByQuery

- getSuggestionByQuery(query: string, size?: number): Promise<Array<string>>

- - Defined in manager/SearchManager.ts:32

  #### Parameters

  - ##### query: string

  - ##### Optional size: number

  #### Returns Promise<Array<string>>

### getUserOfferSearches

- getUserOfferSearches(page?: number, size?: number, unique?: boolean, searchIds?: Array<number>, state?: Array<OfferResultAction>, sort?: SortOfferSearch): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:49

  #### Parameters

  - ##### Optional page: number

  - ##### Optional size: number

  - ##### Optional unique: boolean

  - ##### Optional searchIds: Array<number>

  - ##### Optional state: Array<OfferResultAction>

  - ##### Optional sort: SortOfferSearch

  #### Returns Promise<Page<OfferSearchResultItem>>

### rejectSearchItem

- rejectSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:60

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### updateRequest

- updateRequest(searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in manager/SearchManager.ts:18

  #### Parameters

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

Generated using TypeDoc